<h2 mat-dialog-title  *ngIf="!data.isEdit">Add New Grad</h2>
<h2 mat-dialog-title  *ngIf="data.isEdit">Edit Grad</h2>
<div mat-dialog-content>
  <mat-horizontal-stepper>
    <mat-step label="Persional Details" [stepControl]="gradForm">
      <form [formGroup]="gradForm">
        <mat-form-field appearance="outline">
          <mat-label>First Name</mat-label>
          <input
            matInput
            placeholder="Enter candidate First Name"
            formControlName="firstName"
          />
          <mat-hint>*Enter candidate First Name</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Middle Name</mat-label>
          <input
            matInput
            placeholder="Enter candidate Middle Name"
            formControlName="middleName"
          />
          <mat-hint>*Enter candidate Middle Name</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Last Name</mat-label>
          <input
            matInput
            placeholder="Enter candidate Last Name"
            formControlName="lastName"
          />
          <mat-hint>*Enter candidate Last Name</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Contact Number</mat-label>
          <input
            matInput
            type="number"
            placeholder="Enter candidate Contact no"
            formControlName="contactNo"
          />
          <mat-hint>*Enter candidate Contact No.</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Email</mat-label>
          <input
            matInput
            placeholder="Enter candidate email id"
            formControlName="email"
          />
          <mat-hint>*Enter candidate email id</mat-hint>
        </mat-form-field>
        <mat-radio-group
          aria-label="Select an Gender"
          style="width: 100%;"
          formControlName="gender"
        >
          <mat-radio-button value="Male">Male</mat-radio-button>
          <mat-radio-button value="Female" style="margin-left: 1%;">Female</mat-radio-button>
        </mat-radio-group>
      </form>
      <div mat-dialog-actions>
        <button mat-raised-button color="primary" mat-dialog-close>Cancel</button>
        <button mat-raised-button color="primary" matStepperNext>Next</button>
      </div>
    </mat-step>
    <mat-step label="Address" [stepControl]="gradForm">
      <form [formGroup]="gradForm">
        <mat-form-field appearance="outline">
          <mat-label>State</mat-label>
          <input matInput placeholder="Enter State" formControlName="state"/>
          <mat-hint>Enter candidate State</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>City</mat-label>
          <input matInput placeholder="Enter city" formControlName="city"/>
          <mat-hint>Enter city</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>house Number</mat-label>
          <input matInput placeholder="Enter candidate House No" formControlName="houseNo"/>
          <mat-hint>Enter House Number</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Street</mat-label>
          <input matInput placeholder="Enter street name" formControlName="street"/>
          <mat-hint>Enter Street Name</mat-hint>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Zip Code</mat-label>
          <input matInput placeholder="Enter candidate Zip Code" formControlName="zipCode"/>
          <mat-hint>Enter Zip Code</mat-hint>
        </mat-form-field>
      </form>
      <div mat-dialog-actions>
        <button mat-raised-button color="primary" mat-dialog-close>Cancel</button>
        <button mat-raised-button color="primary" matStepperPrevious>Back</button>
        <button mat-raised-button color="primary" matStepperNext>Next</button>
      </div>
    </mat-step>
    <mat-step label="Academic Details" [stepControl]="gradForm">
      <form [formGroup]="gradForm">
        <mat-form-field>
          <mat-label>Select Institute</mat-label>
          <mat-select formControlName="instituteName">
            <mat-option *ngFor="let institute of allInstitutes" [value]="institute">{{institute}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <mat-label>Select Branch Name</mat-label>
          <mat-select formControlName="branchName">
            <mat-option *ngFor="let branch of allBranch" [value]="branch">{{branch}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <mat-label>Select Degree Name</mat-label>
          <mat-select formControlName="degreeName">
            <mat-option *ngFor="let degree of allDegree" [value]="degree">{{degree}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Select Candidate Skills</mat-label>
            <mat-select formControlName="skills" multiple>
                <mat-option *ngFor="let skill of skills" [value]="skill">{{skill.skillName}}</mat-option>
            </mat-select>
          </mat-form-field>
      </form>
      <div mat-dialog-actions>
        <button mat-raised-button color="primary" mat-dialog-close>Cancel</button>
        <button mat-raised-button color="primary" matStepperPrevious>Back</button>
        <button mat-raised-button color="primary" matStepperNext>Next</button>
      </div>
    </mat-step>
    <mat-step label="Joining Details & Feedback" [stepControl]="gradForm">
      <form [formGroup]="gradForm">
        <mat-form-field>
          <mat-label>Choose a Joining date</mat-label>
          <input matInput [matDatepicker]="picker" formControlName="joiningDate"/>
          <mat-datepicker-toggle
            matSuffix
            [for]="picker"
          ></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field>
          <mat-label>Select Joining Location</mat-label>
          <mat-select formControlName="joiningLocation">
            <mat-option *ngFor="let location of allLocation" [value]="location">{{location}}</mat-option>
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Feedback</mat-label>
          <input matInput placeholder="Enter Feedback" formControlName="feedback"/>
          <mat-hint>Enter Feedback</mat-hint>
        </mat-form-field>
      </form>
      <div mat-dialog-actions>
        <button mat-raised-button color="primary" mat-dialog-close>Cancel</button>
        <button mat-raised-button color="primary" matStepperPrevious>Back</button>
        <button mat-raised-button color="primary" *ngIf="!data.isEdit"  [disabled]="!gradForm.valid" (click)="addGrad()">
          ADD Grad
        </button>
        <button mat-raised-button color="primary" *ngIf="data.isEdit"  [disabled]="!gradForm.valid" (click)="updateGrad()">
          UPDATE Grad
        </button>
        <span style="margin-left: 2%;color: red;">{{gradAddedMessage}}</span>
      </div>
    </mat-step>
  </mat-horizontal-stepper>
</div>
